# Method: logicalProducts.variants.list

- [HTTP request](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.request_body)
- [Response body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/list#body.ListLogicalProductVariantsResponse.SCHEMA_REPRESENTATION)

Lists LogicalProductVariants matching given criteria.

### HTTP request

`GET https://cloudproductregistry.googleapis.com/v1/{parent=logicalProducts/*}/variants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent logical product id. Format: logicalProducts/{logicalProduct} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of logical product variants to return. The service may return fewer than this value. If unspecified, at most 100 logical product variants will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` Optional. A page token, received from a previous `variants.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `variants.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for variants.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logicalProductVariants": [ { object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants#LogicalProductVariant`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `logicalProductVariants[]` | ``object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants#LogicalProductVariant`)`` Matched LogicalProductVariants |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |